<!doctype html>
<html lang="en">
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">

    <!-- Bootstrap CSS -->
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">

    <title>Homepage</title>
  </head>
  <body>
  <div class="row">
      <div class="col-12" style="border:1px solid rgb(129, 49, 209);"><h5>Checkout</h5>
        <div class="container">
            <div class="table-responsive text-nowrap">
                <table class="table">
                    <thead>
                        <tr>
                            <th scope="col">Purchase Details</th>
                            <th scope="col">Total Amount</th>
                        </tr>
                    </thead>
                        <tbody>
                            {% for carts in product %}
                            <tr>
                                <td>{{carts.cartProduct.name}}</td>
                                <td>{% widthratio carts.cartProduct.price 1 carts.quantity %}</td>
                            </tr>
                            {% endfor %}
                            <tr>
                                <td>total price</td>
                                <td>{{total}}</td>
                            </tr>
                        </tbody>
                </table>
                <a href="{% url 'payment' %}" class="btn btn-primary">Make Payment</a>
            </div>
        </div>
  </div>
 
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
  </body>
</html>